<?php
# Script by seg0ro http://mobilarts.ru
# Not for sale!!!

defined('_IN_JOHNCMS') or die('Error: restricted access');

if (!$file){
  $textl .= ' | Загрузка файла';
  require_once('../incfiles/head.php');
  echo functions::display_error('Отсутствует идентификатор файла!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

mysql_query("UPDATE `forum_files` SET
`down`= down + 1 WHERE `file` = '$file' LIMIT 1 ");

$file = 'files/forum/'.$fileRes['filename'];

$ext = array_pop(explode(".", $fileRes['filename']));
if ($ext == 'jar' && isset($_GET['jad'])){
  require('../incfiles/lib/pclzip.lib.php');
  $fileName = str_replace(".jar", "", $fileRes['filename']);
	$fileSize = filesize('../'.$file);
  $zip = new PclZip('../'.$file);
	$content = $zip->extract(PCLZIP_OPT_BY_NAME,'META-INF/MANIFEST.MF',PCLZIP_OPT_EXTRACT_AS_STRING);
	
  header('Content-type: text/vnd.sun.j2me.app-descriptor');
	header('Content-Disposition: attachment; filename="'.basename($fileName).'.jad";');
	echo $content[0]['content']."\n".'MIDlet-Jar-Size: '.$fileSize."\n".'MIDlet-Jar-URL: '.$set['homeurl'].'/'.$file."\n".'MIDlet-Delete-Confirm: Файл скачен с сайта '.$config['home'];
  exit;  
}else
  header ('Location: ../'.$file);